﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CarAvailability
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DateTime currentdate = DateTime.Now.Date;
            ObservableCollection<DateTime> selectedDates = new ObservableCollection<DateTime>();
            DateTime Date1 = currentdate;
            DateTime Date2 = currentdate.AddDays(1);
            DateTime Date3 = currentdate.AddDays(2);
            selectedDates.Add(Date1);
            selectedDates.Add(Date2);
            selectedDates.Add(Date3);
            schedule.ScheduleDateRange = selectedDates;

            ScheduleAppointment app = new ScheduleAppointment()
            {
                StartTime = currentdate.Date.AddHours(1),
                EndTime = currentdate.Date.AddHours(3),
                Subject = "Car1",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app.Location = "Available on " + app.StartTime.ToString("ddd d");
            app.ResourceCollection.Add(new Resource() { ResourceName = "Car1", TypeName = "Cars" });
            ScheduleAppointment app1 = new ScheduleAppointment()
            {
                StartTime = currentdate.Date.AddHours(5),
                EndTime = currentdate.Date.AddHours(7),
                Subject = "Car2",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app1.Location = "Available on " + app1.StartTime.ToString("ddd d");
            app1.ResourceCollection.Add(new Resource() { ResourceName = "Car2", TypeName = "Cars" });
            ScheduleAppointment app2 = new ScheduleAppointment()
            {
                StartTime = currentdate.Date.AddHours(9),
                EndTime = currentdate.Date.AddHours(12),
                Subject = "Car3",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app2.Location = "Available on " + app2.StartTime.ToString("ddd d");
            app2.ResourceCollection.Add(new Resource()  { ResourceName = "Car3", TypeName = "Cars" });
            ScheduleAppointment app3 = new ScheduleAppointment()
            {
                StartTime = currentdate.Date.AddDays(1).AddHours(1),
                EndTime = currentdate.Date.AddDays(1).AddHours(3),
                Subject = "Car1",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app3.Location = "Available on " + app3.StartTime.ToString("ddd d");
            app3.ResourceCollection.Add(new Resource() {  ResourceName = "Car1", TypeName = "Cars" });
            ScheduleAppointment app4 = new ScheduleAppointment()
            {
                StartTime = currentdate.AddDays(2).Date.AddHours(5),
                EndTime = currentdate.AddDays(2).Date.AddHours(7),
                Subject = "Car2",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app4.Location = "Available on " + app4.StartTime.ToString("ddd d");
            app4.ResourceCollection.Add(new Resource(){ ResourceName = "Car2", TypeName = "Cars" });
            ScheduleAppointment app5 = new ScheduleAppointment()
            {
                StartTime = currentdate.AddDays(1).Date.AddHours(9),
                EndTime = currentdate.AddDays(1).Date.AddHours(12),
                Subject = "Car3",
                ReadOnly = true,
                AppointmentBackground = new
                SolidColorBrush(Colors.Red)
            };
            app5.Location = "Available on " + app5.StartTime.ToString("ddd d");
            app5.ResourceCollection.Add(new Resource() { ResourceName =  "Car3", TypeName = "Cars" });
            this.schedule.Appointments.Add(app);
            this.schedule.Appointments.Add(app1);
            this.schedule.Appointments.Add(app2);
            this.schedule.Appointments.Add(app3);
            this.schedule.Appointments.Add(app4);
            this.schedule.Appointments.Add(app5);
         
        }

    }
}
